Please see your Order Form or email [email protected] for details on which feature(s) your organization has permission to use.
The CouncilGPT API uses bearer token authentication. To obtain your organization’s token, contact your Customer Success Manager. Include the token in the Authorization header of all API requests.
curl https://api.councilgpt.com/v2/endpoint \
-H "Authorization: Bearer YOUR_TOKEN_HERE" \
-H "Content-Type: application/json"
Your bearer tokens grant access to sensitive data and privileged operations, so they must be kept secure. Never share tokens in public repositories, client-side code, or unsecured channels. If you need to contact CouncilGPT support, make sure to redact your token from any example requests or screenshots.
All API requests must use HTTPS. Requests sent over HTTP or without authentication will be rejected.
Country-Specific Endpoint URL
If your organization is using CouncilGPT’s EU-hosted deployment, update the request URL to point to the EU API endpoint: https://eu.api.councilgpt.com
curl https://eu.api.councilgpt.com/v2/endpoint \
-H "Authorization: Bearer YOUR_TOKEN_HERE" \
-H "Content-Type: application/json"
If your organization is using CouncilGPT’s AU-hosted deployment, update the request URL to point to the AU API endpoint: https://au.api.councilgpt.com
curl https://au.api.councilgpt.com/v2/endpoint \
-H "Authorization: Bearer YOUR_TOKEN_HERE" \
-H "Content-Type: application/json"
Testing Authentication
GET https://api.councilgpt.com/api/whoami
Returns the underlying service user account associated with the API token, useful for testing that the token works or identifying which token has taken actions surfaced in audit logs.